Bug 1579753 - Quick search part of the title from different view is displayed on Flavor Summary page
Summary: Quick search part of the title from different view is displayed on Flavor Sum...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Milan Zázrivec
QA Contact: Matouš Mojžíš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-18 09:08 UTC by Matouš Mojžíš
Modified: 2019-08-22 00:54 UTC (History)
6 users (show)

Fixed In Version: 5.10.0.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:55 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
flavor summary page (79.57 KB, image/png)
2018-05-18 09:08 UTC, Matouš Mojžíš
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:03:00 UTC

Description Matouš Mojžíš 2018-05-18 09:08:55 UTC
Created attachment 1438390 [details]
flavor summary page

Description of problem:


Version-Release number of selected component (if applicable):
5.8.4.3

How reproducible:
Always

Steps to Reproduce:
1. Have a cloud provider with some flavors
2. Go to Compute -> Cloud -> Flavors and do a quick search (e.g. "c4.")
3. Go to Compute -> Cloud -> Providers
4. Select this cloud provider and then select in its relationships Flavors
5. Select a flavor (e.g. t2.nano)

Actual results:
Title is t2.nano (Summary) (Names with "c4.")
Flavors redirected from provider relationship is different view than Compute -> Cloud -> Flavors, but it somehow share quick search part of the title.
And also quick search part of the title is displayed in Flavor Summary.

Expected results:


Additional info:

Comment 3 CFME Bot 2018-07-24 08:43:52 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/738638e543ea3eb9d5c441f200e1a83af4f81a3a
commit 738638e543ea3eb9d5c441f200e1a83af4f81a3a
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Thu Jul 12 09:55:32 2018 -0400
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Thu Jul 12 09:55:32 2018 -0400

    Don't display search_text in summary screens

    https://bugzilla.redhat.com/show_bug.cgi?id=1579753

 app/controllers/application_controller.rb | 4 +-
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 4 Matouš Mojžíš 2018-08-01 14:09:49 UTC
Verified in 5.10.0.6. Quick search title part is not shared for these two views.

Comment 5 errata-xmlrpc 2019-02-07 23:02:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.